Boost orders
List Boosts
Your Boost orders, newest first — the ones placed on the website and in the app too — each with what it’s worth now and what selling it would pay.
GET
/
portfolio
/
boosts
List Boosts
curl --request GET \
--url https://api.updown.fast/trade-api/v1/portfolio/boosts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.updown.fast/trade-api/v1/portfolio/boosts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.updown.fast/trade-api/v1/portfolio/boosts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"boosts": [
{
"boost_id": "<string>",
"market_ticker": "<string>",
"outcome": "up",
"kind": "boost",
"mode": "live",
"status": "pending",
"stake": "<string>",
"multiplier": "<string>",
"max_payout": "<string>",
"created_ts_ms": 4503599627370495,
"client_order_id": "<string>",
"price_to_beat": "<string>",
"value": "<string>",
"sell_proceeds": "<string>",
"close_price": "<string>",
"payout": "<string>",
"credit_used": "<string>",
"paid": "<string>",
"close_ts_ms": 4503599627370495,
"settled_ts_ms": 4503599627370495,
"bet": {
"order_id": "<string>",
"contracts": "<string>",
"cost": "<string>"
}
}
]
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}Authorizations
Query Parameters
⌘I
List Boosts
curl --request GET \
--url https://api.updown.fast/trade-api/v1/portfolio/boosts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.updown.fast/trade-api/v1/portfolio/boosts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.updown.fast/trade-api/v1/portfolio/boosts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"boosts": [
{
"boost_id": "<string>",
"market_ticker": "<string>",
"outcome": "up",
"kind": "boost",
"mode": "live",
"status": "pending",
"stake": "<string>",
"multiplier": "<string>",
"max_payout": "<string>",
"created_ts_ms": 4503599627370495,
"client_order_id": "<string>",
"price_to_beat": "<string>",
"value": "<string>",
"sell_proceeds": "<string>",
"close_price": "<string>",
"payout": "<string>",
"credit_used": "<string>",
"paid": "<string>",
"close_ts_ms": 4503599627370495,
"settled_ts_ms": 4503599627370495,
"bet": {
"order_id": "<string>",
"contracts": "<string>",
"cost": "<string>"
}
}
]
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}